<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;

class Submodule extends BaseModel
{
    protected $fillable = ['module_id', 'key', 'name', 'is_default'];
    use HasFactory;

    public function getAllSubmodules()
    {
       return self::get();
    }

    public function permission(){
        return $this->hasMany('App\Models\Permission');
    }



}
